:root {
  --red: #C8102E;
  --green: #00B140;
  --body: #121212;
  --white: #ffffff;
  --dark-grey: #4D4D4D;
  --charcoal: #333333;
}


body {
  font-family: 'Open Sans', sans-serif;
  font-size: clamp(16px, 2vw, 18px);
  line-height: 1.6;
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  color: var(--body);
}

h1 {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    font-size: clamp(2rem, 5vw, 5rem);
    text-align: center;
    line-height: 1.2;
    margin: 3vw auto 20px;
    width: fit-content;
    text-align: center;
    position: relative;
}

h1.page-title::before {
    content: '';
    width: 6vw;
    height: 6vw;
    background-image: url(/sites/default/files/welsh-society-icon.svg);
    display: block;
    text-align: center;
    margin: 0 auto;
    background-size: 100%;
    background-repeat: no-repeat;
    min-width: 35px;
    min-height: 35px;
    position: absolute;
    right: 105%;
    max-width: 100px;
}
.home h1.page-title::before {
    position: relative;
    right: unset;
    min-width: 70px;
    min-height: 70px;
    margin-bottom: 5px;
    filter: drop-shadow(0 2px 3px #000);
}


h2 {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    margin-block-start: 0em;
  margin-block-end: 0.4em;
  line-height: 1.2;
}
h3 {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    margin-block-start: 0em;
  margin-block-end: 0.35em;
}
h4 {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    margin-block-start: 0em;
  margin-block-end: 0.3em;
}
h5 {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    margin-block-start: 0em;
  margin-block-end: 0.3em;
}
h6 {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    margin-block-start: 0em;
  margin-block-end: 0.3em;
}
header {
    position: absolute;
    width: 100%;
    display: block;
    box-sizing: border-box;
    top: 0;
    z-index: 100;
}

main{
    /* position: relative; */
    padding-top: clamp(100px, 15vw, 150px);
    padding-bottom: 5vw;
}

img.ows-header-logo {
    width: clamp(270px, 65vw, 600px);
    height: auto;
}
.home img.ows-header-logo {
    filter: drop-shadow(0 2px 3px #000);
}
form#user-login-form, form#user-pass-reset {
    margin: 3vw auto;
    max-width: 700px;
    padding: 0 5vw;
}
form#user-login-form input {
    width: 100%;
    height: 40px;
    margin: 10px 0;
    display: block;
}
form#user-login-form input#edit-submit, form#user-pass-reset input#edit-submit {
width: fit-content;
  font-family: 'Myriad Pro', sans-serif;
  font-weight: bold;
  font-style: normal;
  padding: 10px 20px;
  border-radius: 20px;
  background: var(--green);
  color: var(--white);
  border: none;
}

form#user-login-form input#edit-submit:hover, form#user-pass-reset input#edit-submit:hover {
  background: var(--red);
}
article.contextual-region.profile {
    margin: 2vw auto;
    max-width: 700px;
    text-align: center;
}




img.ows-footer-logo {
  width: clamp(180px, 30vw, 250px);
}

.qdos_ai_menu-menu {
    column-gap: 5px;
}
.qdos_ai_menu-dropdown-item {
    position: relative;
    margin: 0;
    padding: 0;
    background: var(--green);
    color: white;
    padding: 2px;
    text-indent: 5px;
}
.qdos_ai_menu-dropdown-item:hover {
    background: var(--red);
}
/* .qdos_ai_menu-dropdown-link {
    padding: 5px 1rem ;
} */
.qdos_ai_menu-align-right .qdos_ai_menu-dropdown {
    left: auto;
    right: 0;
    display: flex;
    flex-direction: column;
    column-gap: 5px;
    row-gap: 5px;
    box-sizing: border-box;
}
.qdos_ai_menu-container.mobile-mode .qdos_ai_menu-menu-item.expanded > .qdos_ai_menu-dropdown, .qdos_ai_menu-container.mobile-mode .qdos_ai_menu-dropdown-item.expanded > .qdos_ai_menu-sub-dropdown {
    height: auto;
    padding: 0;
}
.qdos_ai_menu-dropdown-link {
    padding: 2px 10px;
}

.layout-container.home .page-title {
    color: var(--white);
    position: absolute;
    z-index: 2;
    width: 100%;
    height: auto;
    bottom: 15vh;
    font-size: clamp(1.8rem, 5vw, 5rem);
    padding: 0 5vw;
    box-sizing: border-box;
    line-height: 1.1;
    text-shadow: 0 2px 6px #000;
}
.hero-banner-wrapper {
    position: relative;
}
.hero-banner-overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.2);
    display: block;
    z-index: 1;
    mix-blend-mode: multiply;
}
.splide__slide img {
    vertical-align: bottom;
    object-fit: cover;
    /* aspect-ratio: 20 / 10; */
    height: 100vh;
    width: 100%;
    object-position: center;
}
button.splide__toggle {
    display: none;
}

.layout-container.home main {
    padding: 0;
}


.header-flex-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px 5vw;
}
footer {
  background: var(--red);
  color: var(--white);
  position: relative;
}
.footer-wrapper {
  padding: 30px 5vw;
  text-align: center;
}
.footer-copyright p, .footer-qdos-link p {
    margin: 0;
}

.copyright-section {
    display: flex;
    padding: 0 5vw 30px;
    justify-content: center;
    color: var(--white);
    flex-wrap: wrap;
    column-gap: 40px;
    row-gap: 5px;
    z-index: 100;
    position: relative;
    font-size: 0.7rem;
    text-align: center;
}
.contact-title {
  font-family: 'Myriad Pro';
    font-weight: bold;
    font-style: normal;
    font-size: clamp(1rem, 3vw, 1.5rem);
    margin-block-start: 1rem;
    margin-block-end: 1rem;
}
.footer-overlay {
    background-image: url(/sites/default/files/welsh-society-dragon-white.svg);
    background-repeat: no-repeat;
    background-size: clamp(500px, 50vw, 800px);
    /* position: absolute; */
    height: 100%;
    width: 100%;
    position: absolute;
    opacity: 0.1;
    top: 0;
    right: 0;
    background-position-x: 70vw;
    background-position-y: 0px;
}
div#block-welshsoc-content::before {
  background-image: url(/sites/default/files/welsh-society-dragon.svg);
  background-repeat: no-repeat;
  background-size: 60%;
  height: 100%;
  width: 100%;
  opacity: 0.07;
  background-position-x: center;
  background-position-y: center;
  display: block;
  box-sizing: border-box;
  position: fixed;
  top: 0;
  right: 0;
  content: '';
  z-index: -10;
}
.social-links-wrapper {
    display: flex;
    justify-content: center;
    column-gap: 10px;
}
#social-instagram, #social-facebook, #social-email, #social-x  {
  width: 40px;
  height: 40px;
  display: block;
  background-color: var(--green);
}
#social-facebook:hover, #social-instagram:hover, #social-email:hover, #social-x:hover {
  background-color: var(--body);
}
.footer-social-privacy-section, .footer-logo-section {
  position: relative;
  z-index: 10;

}
.footer-qdos-link a {
    color: var(--white);
}
.footer-qdos-link a:hover {
    color: var(--green);
}
div#block-welshsoc-languageswitcher  {
    position: absolute;
    left: 20px;
    top: 10px;
    box-sizing: border-box;
}

div#block-welshsoc-languageswitcher ul {
    display: flex;
    column-gap: 10px;
    margin: 0;
    padding: 0;
}



div#block-welshsoc-languageswitcher li::marker {
    font-size: 0;
}

a[hreflang="cy"] {
    background: #C8102E;
    background-image: url(/sites/default/files/welsh-flag.svg);
    background-repeat: no-repeat;
    background-size: 100%;
    aspect-ratio: 5 / 3;
    width: clamp(30px, 5vw, 60px);
    height: auto;
    display: block;
    background-position: center;
    font-size: 0;
    position: relative;
}
a[hreflang="en"] {
    background: #C8102E;
    background-image: url(/sites/default/files/uk-flag.svg);
    background-repeat: no-repeat;
    background-size: 100%;
    aspect-ratio: 5 / 3;
    width: clamp(30px, 5vw, 60px);
    height: auto;
    display: block;
    background-position: center;
    font-size: 0;
    position: relative;
}
a[hreflang="cy"]::after, a[hreflang="en"]::after {
content: "";
  position: absolute;
  left: 0;
  right: 0;                    
  height: 2px;                 
  background: var(--red);    
  bottom: -5px;                
  transform: scaleX(0);        
  transform-origin: left center;
  transition: transform 200ms ease;
  pointer-events: none;  

}


a[hreflang="cy"]:hover::after, a[hreflang="en"]:hover::after {
  transform: scaleX(1);        
}


.columns-1 {
  columns: 1;
  column-gap: 40px;
}
.columns-2 {
  columns: 2;
  column-gap: 40px;
}
.columns-3 {
  columns: 3;
  column-gap: 40px;
}
.paragraph.red {
    background: var(--red);
    color: var(--white);
}
.paragraph.green {
    background: var(--green);
    color: var(--white);
}
.paragraph.charcoal {
    background: var(--charcoal);
    color: var(--white);
}
.paragraph {
    padding: 2vw 10vw;
}
.paragraph.paragraph--type--text-right-image-left, .paragraph.paragraph--type--text-left-image-right {
    display: flex;
    column-gap: 80px;
    row-gap: 20px;
    flex-wrap: wrap;
}
.paragraph.paragraph--type--text-left-image-right {
    flex-direction: row-reverse;
}
.paragraph .field__item {
    /* min-width: 400px; */
    flex: 1;
}
iframe.media-oembed-content {
    width: 100%;
    height: 100%;
    aspect-ratio: 16 / 9;
}
.text-formatted.field.field--name-field-text-block {
    flex: 2;
}
.paragraph .field__item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.paragraph.red .text-formatted a, .paragraph.charcoal .text-formatted a, .paragraph.green .text-formatted a {
    color: var(--white);
}
.paragraph .text-formatted a {
    color: var(--body);
}
.paragraph .text-formatted a:hover {
    color: var(--green);
}
.paragraph.green .text-formatted a:hover {
    color: var(--dark-grey);
}
.paragraph--type--call-to-action a {
    text-decoration: none;
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    padding: 10px 20px;
    border-radius: 20px;
    background: var(--green);
    color: var(--white);
}
.green.paragraph--type--call-to-action a {
    background: var(--charcoal);
    color: var(--white);
}
.paragraph--type--call-to-action a:hover {
    background: var(--red);
}
.red.paragraph--type--call-to-action a:hover {
    background: var(--charcoal);
}


.field.field--name-field-cta-link {
    text-align: center;
    margin: 20px auto;
}
.paragraph.paragraph--type--join-webform {
    max-width: 800px;
    margin: auto;
    padding: 0 5vw 5vw;
}
.paragraph.paragraph--type--join-webform input {
    width: 100%;
    height: 40px;
    display: block;
    margin-top: 10px;
    box-sizing: border-box;
}
.paragraph.paragraph--type--join-webform label {
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    color: var(--body);

}
.paragraph.paragraph--type--join-webform input#edit-submit {
    width: fit-content;
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    padding: 10px 20px;
    border-radius: 20px;
    background: var(--green);
    color: var(--white);
    border: none;
}
.paragraph.paragraph--type--join-webform input#edit-submit:hover {
    background: var(--red);
}
.event-wrapper {
    display: flex;
    column-gap: 40px;
    padding: 2vw 0;
    flex-wrap: wrap;
    border-bottom: 2px solid #cbcbcb;
    margin-bottom: 10px;
}
.event-date-time-section {
    display: flex;
    flex-direction: column;
    column-gap: 20px;
    row-gap: 5px;
    flex: 1;
    font-size: clamp(1.2rem, 1vw,1.5rem);
    min-width: fit-content;
    padding: 10px;
}
.event-text-link-container {
    flex: 4;
    min-width: 350px;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    padding: 10px;
}
.event-date-container {
    font-weight: bold;
}
.event-time-container {
    font-weight: bold;
    color: var(--red);
}
.event-title {
    font-size: clamp(1.2rem, 1vw,1.5rem);
    font-weight: bold;
}
.event-link-section a {
    width: fit-content;
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    padding: 5px 20px;
    border-radius: 20px;
    background: var(--green);
    color: var(--white);
    text-decoration: none;
}
.event-link-section a:hover {
    background: var(--red);
    
}



.event-link-section {
    display: flex;
    justify-content: flex-start;
}
.term-title {
    font-size: clamp(1.3rem, 4vw, 1.8rem);
    text-align: center;
    background: var(--dark-grey);
    color: white;
    padding: 10px;
}
.term-week {
    padding: 5px 10px;
    color: var(--white);
    background:var(--red);
    text-align: center;
}
.paragraph--type--trinity-term-events-block, .paragraph--type--hilary-term-events-view-block,.paragraph--type--michaelmas-term-events-view {
    max-width: 1000px;
    margin: auto;
}

.js-webform-type-checkbox.webform-type-checkbox.js-form-item.form-item.js-form-type-checkbox.form-type-checkbox.js-form-item-swyddog-cymdeithas-society-officer.form-item-swyddog-cymdeithas-society-officer input {
    width: 20px;
    height: 20px;
    margin: 0;
}
.js-webform-type-checkbox.webform-type-checkbox.js-form-item.form-item.js-form-type-checkbox.form-type-checkbox.js-form-item-swyddog-cymdeithas-society-officer.form-item-swyddog-cymdeithas-society-officer {
    display: flex;
    column-gap: 10px;
    align-items: center;
}
.paragraph.paragraph--type--past-caplan-view-block .view-content {
    display: flex;
    flex-wrap: wrap;
    column-gap: 40px;
    row-gap: 40px;
    justify-content: center;
}
.paragraph.paragraph--type--past-caplan-view-block .views-row {
    display: block;
    box-sizing: border-box;
    transition: all .5s ease;
    border-radius: 5px;
    overflow: hidden;
    background-color: var(--white);
    box-shadow: 0px 5px 10px #00000024;
    flex-basis: 300px;

}
.profile-name-college-section {
    text-align: center;
    padding: 10px;
}
.caplan-year.section {
    color: var(--white);
    padding: 2.5px 10px;
    background: var(--red);
    text-align: center;
}

.profile-college {
    font-size: 1rem;
    font-style: italic;
}
.profile-name {
    font-weight: 600;
}
.profile-image img {
    max-width: 300px;
}


.committee-profile-wrapper {
    display: flex;
    flex-wrap: wrap;
    column-gap: 40px;
    row-gap: 20px;
    font-size: 1rem;
}

.email-link {
    margin: 20px 0;
}
.email-link a {
text-decoration: none;
    font-family: 'Myriad Pro', sans-serif;
    font-weight: bold;
    font-style: normal;
    padding: 10px 20px;
    border-radius: 20px;
    background: var(--green);
    color: var(--white);
}
.email-link a:hover {
    background: var(--red);
}
.committee-profile-text-wrapper span {
    color: var(--red);
    font-weight: 600;
}
.committee-profile-text-wrapper {
    font-weight: bold;
    color: var(--body);
    display: flex;
    flex-direction: column;
    row-gap: 6px;
    flex: 3;
    min-width: 300px;
}
.status {
    font-size: 1.6rem;
}
.committee-profile-wrapper img {
    max-width: 200px;
    min-width: 150px;
}
.paragraph.paragraph--type--committee-view-block .view-content {
    display: flex;
    column-gap: 60px;
    row-gap: 60px;
    flex-wrap: wrap;
    justify-content: space-evenly;
}


/*----- Media Queries Start ----*/

@media screen and (max-width: 1500px) {
  .columns-1 {
  columns: 1;
}
.columns-2 {
  columns: 2;
  column-gap: 80px;
}
.columns-3 {
  columns: 2;
  column-gap: 80px;
}

}

@media screen and (max-width: 1024px) {
    .qdos_ai_menu-align-right .qdos_ai_menu-menu, .qdos_ai_menu-align-left .qdos_ai_menu-menu {
        padding: 10px;
        row-gap: 2px;
    }
        .qdos_ai_menu-nav {
        display: none;
        width: 100%;
        position: absolute;
        left: auto!important;
        right: 0;
        top: 50%!important;
        background: white;
        z-index: 101;
        box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
        max-width: 500px;
        
    }
    .columns-2 {
  columns: 1;
}
.columns-3 {
  columns: 1;
}
.paragraph {
    padding: 5vw;
}
}



@media screen and (max-width: 860px) {
    .language-switcher-section {
    position: relative;
    justify-content: center;
}
.language-switcher-section img {
    max-height: 20px;
}
.paragraph .field__item {
    min-width: 100%;
    flex: 1;
}

}
@media screen and (max-width: 700px) {
    .event-text-link-container {
    min-width: 100%;
}
}

@media screen and (max-width: 620px) {
    .committee-profile-wrapper {
    display: block;
    text-align: center;
}

}


@media screen and (max-width: 560px){
.header-logo-container {
    margin-top: 30px;
}
a[hreflang="cy"], a[hreflang="en"]  {
    width: 40px;
    
}
}
